/*
*********************************************************************************************************
*
*	模块名称 : USB中断服务程序
*	文件名称 : usbh_it.c
*	版    本 : V1.0
*	说    明 : 本文件存放USB中断服务程序。只需将该文件加入工程即可，无需再到 stm32f4xx_it.c 中添加这些ISR程序
*
*	修改记录 :
*		版本号  日期        作者     说明
*		V1.0    2013-02-01 armfly  正式发布
*
*	Copyright (C), 2013-2014, 安富莱电子 www.armfly.com
*
*********************************************************************************************************
*/

#include "usb_bsp.h"
#include "usb_hcd_int.h"
#include "usbh_core.h"

extern USB_OTG_CORE_HANDLE USB_OTG_Core;
extern USBH_HOST           USB_Host;

/* Private function prototypes -----------------------------------------------*/
extern void USB_OTG_BSP_TimerIRQ(void);

/**	过流检测，安富莱STM32-F4硬件不支持
 * @brief  EXTI1_IRQHandler
 *         This function handles External line 1 interrupt request.
 * @param  None
 * @retval None
 */
#if 0
void EXTI1_IRQHandler(void)
{
  if(EXTI_GetITStatus(EXTI_Line1) != RESET)
  {
      USB_Host.usr_cb->OverCurrentDetected();
      EXTI_ClearITPendingBit(EXTI_Line1);
  }
}
#endif

/**
 * @brief  TIM2_IRQHandler
 *         This function handles Timer2 Handler.
 * @param  None
 * @retval None
 */
void TIM2_IRQHandler(void)
{
    USB_OTG_BSP_TimerIRQ();
}

/**
 * @brief  OTG_FS_IRQHandler
 *          This function handles USB-On-The-Go FS global interrupt request.
 *          requests.
 * @param  None
 * @retval None
 */
#ifdef USE_USB_OTG_FS
void OTG_FS_IRQHandler(void)
#else
void OTG_HS_IRQHandler(void)
#endif
{
    USBH_OTG_ISR_Handler(&USB_OTG_Core);
}

/***************************** 安富莱电子 www.armfly.com (END OF FILE) *********************************/
